OgreZip.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreArchive.h"`
`#include "OgreArchiveFactory.h"`

Go to the source code of this file.

## Classes

class | Ogre::ZipArchive
| Specialisation of the Archive class to allow reading of files from a zip format source archive. More...
class | Ogre::ZipArchiveFactory
| Specialisation of ArchiveFactory for Zip files. More...
class | Ogre::EmbeddedZipArchiveFactory
| Specialisation of ZipArchiveFactory for embedded Zip files. More...
class | Ogre::ZipDataStream
| Specialisation of DataStream to handle streaming data from zip archives. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef struct zzip_dir | ZZIP_DIR
typedef struct zzip_file | ZZIP_FILE
typedef union _zzip_plugin_io | zzip_plugin_io_handlers

## Typedef Documentation

typedef struct zzip_dir ZZIP_DIR

Definition at line 37 of file OgreZip.h.

typedef struct zzip_file ZZIP_FILE

Definition at line 38 of file OgreZip.h.

typedef union _zzip_plugin_io zzip_plugin_io_handlers

Definition at line 39 of file OgreZip.h.

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25